Skip to main content
GET
/
v1
/
smart-account
/
wallets
Get Smart Wallet
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/wallets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "8e6f5877-d71a-4017-a3eb-3d1d4464e274",
    "address": "0x1234567890123456789012345678901234567890",
    "blockchain": "EVM",
    "protocol": "EVM",
    "environment": "mainnet",
    "isEvmCompatible": true,
    "gaslessWithdraw": true,
    "autoSweep": true,
    "state": "LIVE",
    "custodyType": "DEVELOPER",
    "accountId": "WALLET_ACCOUNT_ID",
    "workspaceId": "WORKSPACE_ID",
    "createdAt": "2022-01-01T00:00:00.000Z",
    "updatedAt": "2022-01-01T00:00:00.000Z",
    "decimals": 18,
    "name": "Wallet 1",
    "refId": "WALLET_REF_ID"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

walletId
string
required

Wallet ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

success
boolean
required
Example:

true

data
object
required